Bug 18693 - Translatability: Get rid of exposing a [%% FOREACH loop in translation for branch-selector.inc
Summary: Translatability: Get rid of exposing a [%% FOREACH loop in translation for br...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-30 05:11 UTC by Marc Véron
Modified: 2017-06-13 05:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18693: Translatability: Get rid of exposing a [%% FOREACH loop in translation for branch-selector.inc (2.57 KB, patch)
2017-05-30 05:32 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18693: Translatability: Get rid of exposing a [%% FOREACH loop in translation for branch-selector.inc (2.66 KB, patch)
2017-06-05 20:06 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-05-30 05:11:08 UTC
The file branch-selector.inc exposes the following line to translation (due to newlines insied a tt directive):
%s %s [%% FOREACH branch IN branches; IF branch.selected; selectall = 0; END; END %%]
Comment 1 Marc Véron 2017-05-30 05:28:15 UTC
Additionally, export.tt exposes the following line to translation:
[%% INCLUDE 'branch-selector.inc' branches = libraries %%]
Comment 2 Marc Véron 2017-05-30 05:32:03 UTC
Created attachment 63834 [details] [review]
Bug 18693: Translatability: Get rid of exposing a [%% FOREACH loop in translation for branch-selector.inc

The file branch-selector.inc exposes the following line to translation
(due to newlines insied a tt directive):
%s %s [%% FOREACH branch IN branches; IF branch.selected; selectall = 0; END; END %%]

Additionally, export.tt exposes the following line to translation:
[%% INCLUDE 'branch-selector.inc' branches = libraries %%]

To test:
- Apply patch
- In Staff client, go to Home > Tools > Export data
- Verify that library selection behaves as before
- Bonus test: Create a "language" aa-AA (perl translate create aa-AA
  from folder misc/translator, verify that lines mentioned above do
  no longer appear in aa-AA-staff-prog.po
- Run QA tools (newest version with test for newlines in tt directives)
Comment 3 Jonathan Druart 2017-06-05 20:06:30 UTC
Created attachment 63992 [details] [review]
Bug 18693: Translatability: Get rid of exposing a [%% FOREACH loop in translation for branch-selector.inc

The file branch-selector.inc exposes the following line to translation
(due to newlines insied a tt directive):
%s %s [%% FOREACH branch IN branches; IF branch.selected; selectall = 0; END; END %%]

Additionally, export.tt exposes the following line to translation:
[%% INCLUDE 'branch-selector.inc' branches = libraries %%]

To test:
- Apply patch
- In Staff client, go to Home > Tools > Export data
- Verify that library selection behaves as before
- Bonus test: Create a "language" aa-AA (perl translate create aa-AA
  from folder misc/translator, verify that lines mentioned above do
  no longer appear in aa-AA-staff-prog.po
- Run QA tools (newest version with test for newlines in tt directives)

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-06-05 20:18:03 UTC
Trivial, skipping QA.
Comment 5 Jonathan Druart 2017-06-06 19:03:49 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-06-12 08:49:55 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 7 Katrin Fischer 2017-06-13 05:40:23 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.